%define major 11
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}

%global dialogsubversion 20140219

Summary:	A utility for creating TTY dialog boxes
Name:		dialog
Version:	1.2
Release:	0.%{dialogsubversion}.4
License:	LGPLv2.1+
Group:		Development/Tools
Url:		http://invisible-island.net/dialog/dialog.html
Source0:	ftp://invisible-island.net/dialog/dialog-%{version}-%{dialogsubversion}.tgz
Patch1:		dialog-incdir.patch
Patch2:		dialog-multilib.patch
Patch3:		dialog-libs.patch
BuildRequires:	findutils
BuildRequires:	gettext
BuildRequires:	libtool
BuildRequires:	pkgconfig(ncursesw)
Conflicts:	cdialog < 1.2
Obsoletes:	cdialog < 1.2
Provides:	cdialog = %{EVRD}

%description
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.  

Install dialog if you would like to create TTY dialog boxes.

%files -f %{name}.lang
%doc COPYING dialog.lsm README _samples/samples
%{_bindir}/dialog
%{_mandir}/man1/dialog.*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Dialog shared library
Group:		System/Libraries

%description -n %{libname}
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces. This package 
contains the dialog shared library.

%files -n %{libname}
%{_libdir}/libdialog.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for building applications with the dialog library
Group:		Development/C
Requires:	pkgconfig(ncursesw)
Provides:	%{name}-devel
Requires:   %{libname} = %{version}-%{release}

%description -n %{devname}
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces. This package 
contains the files needed for developing applications, which use the 
dialog library.

%files -n %{devname}
%{_bindir}/dialog-config
%{_includedir}/*.h
%{_libdir}/libdialog.so
%{_mandir}/man3/dialog.*

#----------------------------------------------------------------------------

%prep
%setup -q -n dialog-%{version}-%{dialogsubversion}
%patch1 -p1 -b .incdir
%patch2 -p1 -b .multilib
%patch3 -p1 -b .libs

%build
%configure2_5x \
	--enable-nls \
	--with-libtool \
	--with-ncursesw \
    --disable-static

%make

%install
# prepare packaged samples
rm -rf _samples
mkdir _samples
cp -a samples _samples
rm -rf _samples/samples/install
find _samples -type f -print0 | xargs -0 chmod a-x

%makeinstall_std

chmod 755 %{buildroot}%{_libdir}/libdialog.so.*.*.*

%find_lang %{name}


%changelog
* Mon Sep 01 2014 Arkady Shane <ashejn@gmail.com> 1.2-0.20140219.4
+ Revision: 782744b
- added require for lib.


